.player {
  position: absolute;
  /*transition: transform 0.4s;*/
  z-index: 2;
}

.player-texture {
  position: absolute;
  background-size: cover;
}

.player.enemy {
  visibility: hidden;
}

.player.enemy.visible {
  visibility: visible;
}

.bbox {
  border: 1px solid red;border: 1px solid red;
}

.block {
  position: absolute;
  background: url('textures/texture1.jpg');
  background-size: cover;
  z-index: 1;
}

.block.black {
  /* background: #000; */
  background: url('textures/texture0.jpg');
}

.block .block-wrap {
  position: absolute;
  left: 0;
  top: 0;
  background: rgba(0, 0, 0, .5);
  width: 100%;
  height: 100%;
}

.block.light .block-wrap {
  background: transparent;
}

body , html {
  padding: 0;
  margin: 0;
  height: 100%;
}

.gameEndScreen {
  position: fixed;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .75);
  z-index: 5;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  color: white;
  font-size: 24px;
  display: none;
}

.hit-red-rect {
  display: none;
  width: 100%;
  z-index: 500;
  height: 100%;
  left: 0;
  top: 0;
  position: absolute;
  background: rgba(255, 0, 0, 0.2);
}

.hit-red-rect.show {
  display: block;
}

.border {
  width: 100%;
  height: 100%;
  /*border: 1px solid red;*/
  overflow: hidden;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  position: absolute;
  margin: auto;
}

button.active {
  border: 4px solid green;
}

.user-view-wrap {
  border: 1000px solid rgba(0, 0, 0, 1);
  transform: rotate(0);
  position: absolute;
  left: -715px;
  top: -685px;
  z-index: 1000;
  /*transition: transform 0.4s;*/
}

.user-view {
  border: 450px solid rgba(0, 0, 0, 1);
  border-right: 1100px solid rgba(0, 0, 0, .1);
}

.ray {
  position: absolute;
  background: white;
  z-index: 500;
  transform-origin: 0 0 0;
}

.bullet {
  width: 4px;
  height: 1px;
  border-radius: 50%;
  background: yellow;
  position: absolute;
  z-index: 20;
}

.bullet.vertical {
  width: 1px;
  height: 4px;
}

.user-fire {
  display: none;
  width: 10px;
  height: 8px;

  left: 375px;
  top: 298px;

  position: absolute;
  z-index: 2;

  opacity: 0;
}

.user-fire.visible {
  display: block;
}

.fire1 {
  position: absolute;
  left: 0;
  top: 0;

  width: 3px;
  height: 8px;

  background: rgb(157, 147, 43);
}

.fire2 {
  position: absolute;
  left: 3px;
  top: -2px;

  width: 3px;
  height: 12px;

  background: rgb(194, 177, 28);
 }

.fire3 {
  position: absolute;
  left: 6px;
  top: -3px;

  width: 3px;
  height: 14px;

  background: rgb(248, 223, 2);
}

.hud {
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 1001;
  color: white;
}

body.dev .user-view-circle-wrap {
  display: none;
}

.user-view-rect {
  fill: #000;
  transition: fill .250s;
}

.user-view-rect.hit {
  fill: #bb3c3c;
}

.dev_tools {
  display: none;
  position: absolute;
  left: 0;
  bottom: 0;
  color: red;
}

body.dev .dev_tools {
  display: flex;
  flex-direction: column;
}

.menu {
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-image: url('textures/menu.jpg');
  background-size: cover;
  z-index: 10000;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.menu h1 {
  color: white;
}

.menu .startScreen {
  display: flex;
  flex-direction: column;
}

.menu h2 {
  color: white;
  text-align: center;
}

.menu .menuSelectMap {
  display: none;
  flex-direction: column;
}

.menu .rooms {
  display: none;
  flex-direction: column;
}

.menu .myButton {
  margin-top: 20px;
}

.myButton {
  box-shadow:inset 0px 1px 3px 0px #91b8b3;
  background:linear-gradient(to bottom, #768d87 5%, #6c7c7c 100%);
  background-color:#768d87;
  border-radius:5px;
  border:1px solid #566963;
  display:inline-block;
  cursor:pointer;
  color:#ffffff;
  font-family:Arial;
  font-size:15px;
  font-weight:bold;
  padding:11px 23px;
  text-decoration:none;
  text-shadow:0px -1px 0px #2b665e;
  min-width: 300px;
}
.myButton:hover {
  background:linear-gradient(to bottom, #6c7c7c 5%, #768d87 100%);
  background-color:#6c7c7c;
}
.myButton:active {
  position:relative;
  top:1px;
}

.menuSettings {
  display: none;
  flex-direction: column;
}

.menuSettings label {
  display: block;
  color: white;
}

.player-nickname {
  display: block;
  font-size: 20px;
  position: relative;
  top: -40px;
  text-align: center;
}
